# 63. Mutation: 組織を保存

「Organization」を追加または編集するミューテーションです。saveOrganization リクエストを送信した「User」が「Organization」の所有者になります。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    名前
    姓
    名
    email
    電話
    作成日
    updatedDate
  }
}
```

{% endcode %}

既存の「Organization」を編集するには、リクエストに uuid 属性を追加してください。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "New organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    名前
    姓
    名
    email
    電話
    作成日
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/63-mutation-wo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
